#ifdef GL_ES
precision mediump float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

uniform vec2 pixelSize;

void main() {
    gl_FragColor  = texture2D(CC_Texture0, v_texCoord -1.*pixelSize) *0.028496; // center

    gl_FragColor += texture2D(CC_Texture0, v_texCoord -48.*pixelSize) *0.000163;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord -47.*pixelSize) *0.000163;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord -46.*pixelSize) *0.000163;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord -45.*pixelSize) *0.000163;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord -44.*pixelSize) *0.000204;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord -43.*pixelSize) *0.000255;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord -42.*pixelSize) *0.000317;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord -41.*pixelSize) *0.000391;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord -40.*pixelSize) *0.000481;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord -39.*pixelSize) *0.000588;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord -38.*pixelSize) *0.000716;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord -37.*pixelSize) *0.000867;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord -36.*pixelSize) *0.001045;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord -35.*pixelSize) *0.001252;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord -34.*pixelSize) *0.001493;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord -33.*pixelSize) *0.001771;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord -32.*pixelSize) *0.002091;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord -31.*pixelSize) *0.002455;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord -30.*pixelSize) *0.002869;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord -29.*pixelSize) *0.003335;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord -28.*pixelSize) *0.003856;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord -27.*pixelSize) *0.004437;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord -26.*pixelSize) *0.005080;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord -25.*pixelSize) *0.005786;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord -24.*pixelSize) *0.006556;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord -23.*pixelSize) *0.007391;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord -22.*pixelSize) *0.008290;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord -21.*pixelSize) *0.009251;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord -20.*pixelSize) *0.010271;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord -19.*pixelSize) *0.011346;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord -18.*pixelSize) *0.012469;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord -17.*pixelSize) *0.013633;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord -16.*pixelSize) *0.014831;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord -15.*pixelSize) *0.016051;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord -14.*pixelSize) *0.017284;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord -13.*pixelSize) *0.018516;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord -12.*pixelSize) *0.019735;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord -11.*pixelSize) *0.020928;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord -10.*pixelSize) *0.022080;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord -9.*pixelSize) *0.023176;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord -8.*pixelSize) *0.024203;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord -7.*pixelSize) *0.025148;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord -6.*pixelSize) *0.025995;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord -5.*pixelSize) *0.026735;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord -4.*pixelSize) *0.027356;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord -3.*pixelSize) *0.027849;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord -2.*pixelSize) *0.028207;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord -1.*pixelSize) *0.028423;

    gl_FragColor += texture2D(CC_Texture0, v_texCoord +48.*pixelSize) *0.000163;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord +47.*pixelSize) *0.000163;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord +46.*pixelSize) *0.000163;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord +45.*pixelSize) *0.000163;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord +44.*pixelSize) *0.000204;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord +43.*pixelSize) *0.000255;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord +42.*pixelSize) *0.000317;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord +41.*pixelSize) *0.000391;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord +40.*pixelSize) *0.000481;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord +39.*pixelSize) *0.000588;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord +38.*pixelSize) *0.000716;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord +37.*pixelSize) *0.000867;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord +36.*pixelSize) *0.001045;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord +35.*pixelSize) *0.001252;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord +34.*pixelSize) *0.001493;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord +33.*pixelSize) *0.001771;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord +32.*pixelSize) *0.002091;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord +31.*pixelSize) *0.002455;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord +30.*pixelSize) *0.002869;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord +29.*pixelSize) *0.003335;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord +28.*pixelSize) *0.003856;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord +27.*pixelSize) *0.004437;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord +26.*pixelSize) *0.005080;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord +25.*pixelSize) *0.005786;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord +24.*pixelSize) *0.006556;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord +23.*pixelSize) *0.007391;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord +22.*pixelSize) *0.008290;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord +21.*pixelSize) *0.009251;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord +20.*pixelSize) *0.010271;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord +19.*pixelSize) *0.011346;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord +18.*pixelSize) *0.012469;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord +17.*pixelSize) *0.013633;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord +16.*pixelSize) *0.014831;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord +15.*pixelSize) *0.016051;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord +14.*pixelSize) *0.017284;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord +13.*pixelSize) *0.018516;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord +12.*pixelSize) *0.019735;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord +11.*pixelSize) *0.020928;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord +10.*pixelSize) *0.022080;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord +9.*pixelSize) *0.023176;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord +8.*pixelSize) *0.024203;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord +7.*pixelSize) *0.025148;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord +6.*pixelSize) *0.025995;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord +5.*pixelSize) *0.026735;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord +4.*pixelSize) *0.027356;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord +3.*pixelSize) *0.027849;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord +2.*pixelSize) *0.028207;
    gl_FragColor += texture2D(CC_Texture0, v_texCoord +1.*pixelSize) *0.028423;

    gl_FragColor = gl_FragColor*0.8 +vec4(0.23,0.23,0.23,0.2); // add white
}